[Cook-1943] Update to git 1.8.0 #7

Merged
merged 8 commits into from Nov 30, 2012

Conversation

Projects
None yet
4 participants
Contributor

dougireton commented Nov 22, 2012

Update git to 1.8.0 packages

Contributor

dougireton commented Nov 22, 2012

Sorry I didn't create a feature branch for these commits. I'll make sure to do that next time.

dougireton added some commits Nov 22, 2012

Remove case statement in metadata.rb
Using node['platform_family'] causes knife cookbook test to fail

jtimberman added a commit that referenced this pull request Nov 30, 2012

Merge pull request #7 from Nordstrom/master
[Cook-1943] Update to git 1.8.0

@jtimberman jtimberman merged commit 86c5000 into chef-cookbooks:master Nov 30, 2012

I don't need the cookbook windows to run on Ubuntu. Please remove it

Contributor

dougireton replied Dec 5, 2012

Right now there is no good way to specify per platform dependencies. When there is, this can be refactored.

As per this issue, I think the convention going forward is to not depend on windows, and instead suggest it. Unless that's changed:
opscode-cookbooks/mysql#9

This is mitigated by tests, but if a cookbook doesn't have any, best to keep it off, I'd say

Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment